package vip.devkit.debugkit;

import android.view.View;

import androidx.annotation.Nullable;

import java.util.List;

import vip.devkit.debugkit.kit.KitItem;
import vip.devkit.debugkit.widget.recyclerview.BaseRecyclerAdapter;
import vip.devkit.debugkit.widget.recyclerview.BaseViewHolder;

/**
 * Package    Name: vip.devkit.debugkit
 * File       Name: KitAdapter.java
 * Create     Date: 2019/7/1 14:59
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class KitAdapter extends BaseRecyclerAdapter<KitItem, BaseViewHolder> {


    public KitAdapter(int layoutResId, @Nullable List<KitItem> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper,final KitItem mItem) {
        helper.setText(R.id.tv_name, mItem.kit.getName())
              .setImageResource(R.id.iv_icon, mItem.kit.getIcon());
        helper.itemView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                mItem.kit.onClick(mContext);
            }
        });
    }


    @Override
    public void setOnItemClick(View v, int position) {
        super.setOnItemClick(v, position);

    }
}
