package vip.devkit.debugkit;

import androidx.annotation.Nullable;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import java.util.List;

import vip.devkit.debugkit.kit.GroupKitItem;
import vip.devkit.debugkit.widget.recyclerview.BaseRecyclerAdapter;
import vip.devkit.debugkit.widget.recyclerview.BaseViewHolder;

/**
 * Package    Name: vip.devkit.debugkit
 * File       Name: KitManagerAdapter.java
 * Create     Date: 2019/7/1 11:16
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class KitManagerAdapter extends BaseRecyclerAdapter<GroupKitItem, BaseViewHolder> {

    public KitManagerAdapter(int layoutResId, @Nullable List<GroupKitItem> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, GroupKitItem mItem) {

        helper.setText(R.id.tv_group_name, mItem.mGroupName);
        RecyclerView mKitList = (RecyclerView) helper.getView(R.id.rv_group_kit);
        mKitList.setLayoutManager(new GridLayoutManager(mContext, 4));
        KitAdapter mKitAdapter = new KitAdapter(R.layout.dk_item_kit, mItem.mKitList);
        mKitList.setAdapter(mKitAdapter);


    }
}
