package vip.devkit.debugkit.adapter;

import android.widget.CheckBox;
import android.widget.CompoundButton;

import androidx.annotation.Nullable;

import java.util.List;

import vip.devkit.debugkit.R;
import vip.devkit.debugkit.kit.log.LogCat;
import vip.devkit.debugkit.ui.base_url.UrlInfo;
import vip.devkit.debugkit.widget.recyclerview.BaseRecyclerAdapter;
import vip.devkit.debugkit.widget.recyclerview.BaseViewHolder;

/**
 * Package    Name: vip.devkit.debugkit.adapter
 * File       Name: BaseUrlManagerAdapter.java
 * Create     Date: 2019/7/3 10:34
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class BaseUrlManagerAdapter extends BaseRecyclerAdapter<UrlInfo, BaseViewHolder> {

    public interface OnUrlCheckedListener {
        void onChecked(UrlInfo urlInfo);
    }

    private OnUrlCheckedListener mOnUrlCheckedListener;
    private int checkPosition=-1;

    public void setOnUrlCheckedListener(OnUrlCheckedListener onUrlCheckedListener) {
        mOnUrlCheckedListener = onUrlCheckedListener;
    }

    public BaseUrlManagerAdapter(int layoutResId, @Nullable List<UrlInfo> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(final BaseViewHolder helper, final UrlInfo mItem) {
        helper.setText(R.id.tv_url, mItem.getBaseUrl());
        CheckBox checkBox = (CheckBox) helper.getView(R.id.cb_check);
        LogCat.i("----------"+helper.getAdapterPosition());
        if (helper.getAdapterPosition()==checkPosition){
            checkBox.setChecked(true);
        }else {
            checkBox.setChecked(false);
        }
        checkBox.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                LogCat.i("----------"+helper.getAdapterPosition()+"/"+isChecked);
                if (isChecked && mOnUrlCheckedListener != null) {
                    checkPosition=helper.getAdapterPosition();
                    mOnUrlCheckedListener.onChecked(mItem);
                } else {
                    checkPosition=-1;
                }
            }
        });
    }
}
