package vip.devkit.debugkit.adapter;

import android.util.Log;

import androidx.annotation.Nullable;

import java.lang.reflect.UndeclaredThrowableException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import vip.devkit.debugkit.R;
import vip.devkit.debugkit.bean.CrashInfoBean;
import vip.devkit.debugkit.kit.log.LogCat;
import vip.devkit.debugkit.widget.recyclerview.BaseRecyclerAdapter;
import vip.devkit.debugkit.widget.recyclerview.BaseViewHolder;

/**
 * Package    Name: vip.devkit.debugkit.adapter
 * File       Name: CrashListAdapter.java
 * Create     Date: 2019/7/9 10:00
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class CrashListAdapter extends BaseRecyclerAdapter<CrashInfoBean, BaseViewHolder> {
    public CrashListAdapter(int layoutResId, @Nullable List<CrashInfoBean> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, CrashInfoBean mItem) {
        LogCat.i(" 1" + mItem.tr.toString());

        Throwable throwable = mItem.tr;
        String type = throwable.toString();
//        LogCat.i("throwable 99999 "+type.substring(0,type.indexOf(":")));
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
        helper.setText(R.id.tv_time,""+dateFormat.format(new Date(mItem.time)))
                .setText(R.id.tv_crash_name,type.substring(0,type.indexOf(":")));
        if (helper.getAdapterPosition()==0){
            LogCat.i(Log.getStackTraceString(throwable));
        }

//        StackTraceElement[] elements=  throwable .getStackTrace();
//        for (int i = 0; i <elements.length ; i++) {
//            StackTraceElement stackTraceElement = elements[i];
//            LogCat.i(
//                    helper.getAdapterPosition()
//                            +"堆栈 getLineNumber："+stackTraceElement.getClassName()
//                            +"("
//                            +stackTraceElement.getFileName()
//                            +":"
//                            +stackTraceElement.getLineNumber()+")");
//        }
    }


}
