package vip.devkit.debugkit.adapter;

import android.widget.ImageView;

import androidx.annotation.Nullable;

import java.util.List;

import vip.devkit.debugkit.R;
import vip.devkit.debugkit.bean.FileInfoBean;
import vip.devkit.debugkit.kit.log.LogCat;
import vip.devkit.debugkit.util.FileUtil;
import vip.devkit.debugkit.widget.recyclerview.BaseRecyclerAdapter;
import vip.devkit.debugkit.widget.recyclerview.BaseViewHolder;

/**
 * Package    Name: vip.devkit.debugkit.adapter
 * File       Name: FileInfoAdapter.java
 * Create     Date: 2019/7/9 14:27
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class FileInfoAdapter extends BaseRecyclerAdapter<FileInfoBean, BaseViewHolder> {
    public FileInfoAdapter(int layoutResId, @Nullable List<FileInfoBean> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, FileInfoBean fileInfo) {
        helper.setText(R.id.tv_name, fileInfo.file.getName())
                .setVisible(R.id.iv_more, !fileInfo.file.isFile());

        ImageView mIcon = (ImageView) helper.getView(R.id.iv_icon);
        if (fileInfo.file.isFile()) {
            String suffix = FileUtil.getSuffix(fileInfo.file);
            LogCat.i("---------------"+suffix);
            if (suffix.equals("gif") || suffix.equals("jpg") || suffix.equals("jpeg") || suffix.equals("png") || suffix.equals("bmp")) {
                mIcon.setImageResource(R.mipmap.dk_file_img);
            } else if (suffix.equals(FileUtil.TXT)||suffix.equals("json")||suffix.equals("xml")) {
                mIcon.setImageResource(R.mipmap.dk_file_txt);
            } else if (suffix.equals(FileUtil.SHARED_PREFS)) {
            } else if (suffix.equals(FileUtil.DB)) {
                mIcon.setImageResource(R.mipmap.dk_file_db);
            } else {
                mIcon.setImageResource(R.mipmap.dk_file_ohter);
            }
        } else {
            mIcon.setImageResource(R.mipmap.dk_file_folder);
        }

    }
}
