package vip.devkit.debugkit.kit.log;

import android.text.TextUtils;
import android.util.Log;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.io.StringReader;
import java.io.StringWriter;
import java.util.Map;

import javax.xml.transform.OutputKeys;
import javax.xml.transform.Source;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

/**
 * Package    Name: vip.devkit.debugkit.util
 * File       Name: LogCat.java
 * Create     Date: 2019/7/1 11:51
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class LogCat {

    private static final IPrinter sPrinter = new LogPrinter();


    private LogCat() {
    }

    /**
     * @return {@link LogConfig} config
     */
    public static LogConfig getLogConfig() {
        return sPrinter.getLogConfig();
    }

    /**
     * default
     * @return {@link LogConfig} log config
     */
    public static LogConfig init() {
        return sPrinter.init();
    }

    /**
     * @param logConfig config
     */
    public static void init(final LogConfig logConfig) {
        sPrinter.init(logConfig);
    }



    public static void d(String msg) {
        sPrinter.d(msg);
    }

    public static void i(Object... msg) {
        sPrinter.i(msg);
    }

    public static void w(String msg) {
        sPrinter.w(msg);
    }


    public static void e(String msg) {
        sPrinter.e(msg);
    }

    public static void e(Throwable  msg) {
        sPrinter.e(msg);
    }

    public static void a(String msg) {
        sPrinter.a(msg);
    }


    public static void d(String tag, String msg) {
        sPrinter.d(tag,msg);
    }
    public static void i(String tag, String msg) {
        sPrinter.i(tag,msg);
    }
    public static void w(String tag, String msg) {
        sPrinter.w(tag,msg);
    }
    public static void e(String tag, String msg) {
        sPrinter.e(tag,msg);
    }
    public static void e(String tag,Throwable  msg) {
        sPrinter.e(tag,msg);
    }
    public static void a(String tag, String msg) {
        sPrinter.a(tag,msg);
    }





}
