package vip.devkit.debugkit.ui;

import android.content.pm.IPackageStatsObserver;
import android.content.pm.PackageStats;
import android.os.RemoteException;

import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import java.util.ArrayList;
import java.util.List;

import vip.devkit.debugkit.DataSource;
import vip.devkit.debugkit.KitManagerAdapter;
import vip.devkit.debugkit.R;
import vip.devkit.debugkit.kit.GroupKitItem;
import vip.devkit.debugkit.kit.KitItem;
import vip.devkit.debugkit.kit.log.LogCat;
import vip.devkit.debugkit.ui.base.BaseActivity;
import vip.devkit.debugkit.ui.base_url.BaseUrlManager;

/**
 * Package    Name: vip.devkit.debugkit.ui
 * File       Name: KitManagerActivity.java
 * Create     Date: 2019/7/1 10:43
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class KitManagerActivity extends BaseActivity {


    private RecyclerView mRvList;
    private KitManagerAdapter mManagerAdapter;

    List<GroupKitItem> mItemList = new ArrayList<>();
    List<KitItem> mKitItems = new ArrayList<>();

    private BaseUrlManager mBaseUrlManager;
    @Override
    protected void initData() {

    }

    @Override
    protected int setLayoutId() {
        return R.layout.act_kit_manager;
    }

    @Override
    protected void initView() {
        mRvList = (RecyclerView) findViewById(R.id.rv_list);
        mRvList.setLayoutManager(new LinearLayoutManager(this));
        mManagerAdapter = new KitManagerAdapter(R.layout.dk_item_group_kit, mItemList);
        mRvList.setAdapter(mManagerAdapter);

        DataSource dataSource = new DataSource(this);

        mItemList.addAll(dataSource.getKitList());
        mManagerAdapter.notifyDataSetChanged();

        mBaseUrlManager = new BaseUrlManager(this);

        LogCat.i("mBaseUrlManager:"+mBaseUrlManager.getBaseUrl());

    }

    @Override
    protected void onResume() {
        super.onResume();
        mBaseUrlManager.refreshData();
         LogCat.i("mBaseUrlManager:"+mBaseUrlManager.getBaseUrl());

    }

    @Override
    protected void setListener() {

    }
    //aidl文件形成的Bindler机制服务类
    public class PkgSizeObserver extends IPackageStatsObserver.Stub{
        /*** 回调函数，
         * @param pStats ,返回数据封装在PackageStats对象中
         * @param succeeded  代表回调成功
         */
        @Override
        public void onGetStatsCompleted(PackageStats pStats, boolean succeeded)
                throws RemoteException {
            // TODO Auto-generated method stub
        }
    }
}
