package vip.devkit.debugkit.ui.base_url;


import androidx.annotation.NonNull;

import java.util.Collection;
import java.util.List;

/**
 * File   Name: IBaseUrlManager
 * Create Date: 2019/6/14 11:41
 * Describe   :
 * Author     : By k
 * E-mail     : vip@devkit.vip
 * VersionName: 1
 * VersionCode: V 1.0
 * Code Update:（author - time）
 * Update Describe：
 */
public interface IBaseUrlManager {
    /**
     * 获取BaseUrl
     * @return {@link String}
     */
    String getBaseUrl();

    /**
     * 获取UrlInfo
     * @return {@link UrlInfo}
     */
    UrlInfo getUrlInfo();

    /**
     * 设置UrlInfo
     * @param urlInfo
     */
    void setUrlInfo(@NonNull UrlInfo urlInfo);

    /**
     * 添加UrlInfo
     * @param urlInfo
     */
    void addUrlInfo(@NonNull UrlInfo urlInfo);

    /**
     * 添加UrlInfo集合
     * @param list
     */
    void addUrlInfo(@NonNull Collection<UrlInfo> list);


    /**
     * 移除UrlInfo
     * @param urlInfo
     */
    void remove(@NonNull UrlInfo urlInfo);

    /**
     * 清除
     */
    void clear();

    /**
     * 获取UrlInfo集合
     * @return {@link List<UrlInfo>}
     */
    List<UrlInfo> getUrlInfos();

    /**
     * 获取url数
     * @return {@link int}
     */
    int getCount();

    /**
     * 刷新数据
     */
    void refreshData();
}