package vip.devkit.debugkit.ui.crash;

import android.app.ApplicationErrorReport;
import android.os.Bundle;
import android.text.format.Formatter;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import java.util.ArrayList;
import java.util.List;

import vip.devkit.debugkit.R;
import vip.devkit.debugkit.adapter.CrashListAdapter;
import vip.devkit.debugkit.bean.CrashInfoBean;
import vip.devkit.debugkit.kit.crash.CrashCaptureManager;
import vip.devkit.debugkit.ui.base.BaseActivity;
import vip.devkit.debugkit.util.FileUtil;

/**
 * Package    Name: vip.devkit.debugkit.ui.crash
 * File       Name: CrashManagerActivity.java
 * Create     Date: 2019/7/9 9:54
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class CrashManagerActivity extends BaseActivity implements View.OnClickListener {
    private LinearLayout mLlTitleBack;
    private TextView mTvTitle;
    private TextView mTvTitleRight;
    private LinearLayout mLlTitleRight;
    private LinearLayout mLlCommonLayout;
    private Button mBtnAddCrash;
    private RecyclerView mRlList;

    private TextView mTvCrashSize;

    private CrashListAdapter mAdapter;
    private List<CrashInfoBean> mBeanList = new ArrayList<>();

    @Override
    protected void initData() {

    }

    @Override
    protected int setLayoutId() {
        return R.layout.dk_activity_crash;
    }

    @Override
    protected void initView() {

        mLlTitleBack = (LinearLayout) findViewById(R.id.ll_title_back);
        mTvTitle = (TextView) findViewById(R.id.tv_title);
        mTvTitleRight = (TextView) findViewById(R.id.tv_title_right);
        mLlTitleRight = (LinearLayout) findViewById(R.id.ll_title_right);
        mLlCommonLayout = (LinearLayout) findViewById(R.id.ll_common_layout);
        mBtnAddCrash = (Button) findViewById(R.id.btn_add_crash);
        mRlList = (RecyclerView) findViewById(R.id.rl_list);
        mTvCrashSize = findViewById(R.id.tv_crash_size);
        String s = Formatter.formatFileSize(this, FileUtil.getDirectorySize(CrashCaptureManager.getInstance().getCrashCacheDir()));
        mTvCrashSize.setText(s);
        mBtnAddCrash.setOnClickListener(this);
        mLlTitleBack.setOnClickListener(this);


        List<CrashInfoBean> caches = CrashCaptureManager.getInstance().getCrashCaches();
        mBeanList.addAll(caches);
        mAdapter = new CrashListAdapter(R.layout.dk_item_crash, mBeanList);
        mRlList.setLayoutManager(new LinearLayoutManager(this));
        mRlList.setAdapter(mAdapter);


    }

    @Override
    protected void setListener() {

    }

    @Override
    public void onClick(View v) {
        int i = v.getId();
        if (i == R.id.ll_title_back) {
            finish();
        } else if (i == R.id.btn_add_crash) {
            testCrash().length();
        }
    }

    public String testCrash() {
        return null;
    }
}
