package vip.devkit.debugkit.ui.permission;

import android.Manifest;
import android.content.ComponentName;
import android.os.Build;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.core.app.ActivityCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;


import com.google.android.material.snackbar.Snackbar;

import java.util.ArrayList;
import java.util.List;

import vip.devkit.debugkit.R;
import vip.devkit.debugkit.adapter.PermissionManagerAdapter;
import vip.devkit.debugkit.kit.log.LogCat;
import vip.devkit.debugkit.ui.base.BaseActivity;

/**
 * Package    Name: vip.devkit.debugkit.ui.permission
 * File       Name: PermissionManagerActivity.java
 * Create     Date: 2019/7/3 11:52
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class PermissionManagerActivity extends BaseActivity implements View.OnClickListener {


    private LinearLayout mLlTitleBack;
    private TextView mTvTitle;
    private TextView mTvTitleRight;
    private LinearLayout mLlTitleRight;
    private LinearLayout mLlCommonLayout;
    private RecyclerView mRlList;

    private PermissionManagerAdapter mAdapter;
    private List<String> mList = new ArrayList<>();

    private ComponentName mAdminName = null;


    @Override
    protected void initData() {

    }

    @Override
    protected int setLayoutId() {
        return R.layout.dk_activity_rv;
    }

    @Override
    protected void initView() {
        mLlTitleBack = (LinearLayout) findViewById(R.id.ll_title_back);
        mTvTitle = (TextView) findViewById(R.id.tv_title);
        mTvTitleRight = (TextView) findViewById(R.id.tv_title_right);
        mLlTitleRight = (LinearLayout) findViewById(R.id.ll_title_right);
        mLlCommonLayout = (LinearLayout) findViewById(R.id.ll_common_layout);
        mRlList = (RecyclerView) findViewById(R.id.rl_list);
        mLlTitleBack.setOnClickListener(this);
        mLlTitleRight.setOnClickListener(this);
        mTvTitle.setText("权限管理");
        mTvTitleRight.setText("申请");

        PermissionData data = new PermissionData();
        mList.addAll(data.getRequestedPermissions(this));
        for (int i = 0; i < data.getRequestedPermissions(this).size(); i++) {
            String p = data.getRequestedPermissions(this).get(i);
            LogCat.i("2:" + p);
            LogCat.i("3:" + PermissionData.isHasPermission(this, p) + "/"
                    + PermissionData.hasSelfPermission(this, p) + "/"
                    + 0 + "/"
                    + 1);
        }
        mAdapter = new PermissionManagerAdapter(R.layout.dk_item_permission, mList);
        mRlList.setLayoutManager(new LinearLayoutManager(this));
        mRlList.setAdapter(mAdapter);
    }

    @Override
    protected void setListener() {

    }

    @Override
    public void onClick(View v) {
        if (v.getId() == R.id.ll_title_back) {
            finish();
        } else if (v.getId() == R.id.ll_title_right) {

            LogCat.i("权限申请");
            String[] permissions = new String[]{Manifest.permission.CAMERA, Manifest.permission.RECORD_AUDIO};
            for (int i = 0; i <permissions.length; i++) {
                String p = permissions[i];
                LogCat.i("2:" + p);
                LogCat.i("3:" + PermissionData.isHasPermission(this, p) + "/"
                        + PermissionData.hasSelfPermission(this, p) + "/"
                        + 0 + "/"
                        + 1);
            }
            LogCat.i("-------------" + shouldShowRequestPermissionRationale(permissions[0]) + "/" + shouldShowRequestPermissionRationale(permissions[1]));
            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
//                requestPermissions(permissions, 9999);

            }

            if (shouldShowRequestPermissionRationale(permissions[0])){

                ActivityCompat.requestPermissions(PermissionManagerActivity.this,
                        permissions,
                        9999);
            }else {
                Snackbar.make(getRootView(), "请开启权限", Snackbar.LENGTH_SHORT).show();
            }
        }
    }

    @Override
    public boolean shouldShowRequestPermissionRationale(String permission) {
        return super.shouldShowRequestPermissionRationale(permission);
    }

    @Override
    public void onRequestPermissionsResult(int requestCode, @NonNull String[] permissions, @NonNull int[] grantResults) {
        super.onRequestPermissionsResult(requestCode, permissions, grantResults);
        LogCat.i("requestCode:" + requestCode + "/" + permissions + "/" + grantResults);


        for (int i = 0; i < permissions.length; i++) {
            LogCat.i("permissions:" + permissions[i]);
        }

        for (int i = 0; i < grantResults.length; i++) {
            LogCat.i("grantResults:" + grantResults[i]);
        }

    }

}
